无法安装Perl Crypt :: OpenSSL :: RSA模块,请帮助

我花了几个小时,但无法安装CPAN Crypt :: OpenSSL :: RSA模块。 这是Postfix的dkimproxy插件所必需的。

我所做的是在shell中运行以下命令:

$ perl -MCPAN -e'install Crypt :: OpenSSL :: RSA'

当我运行这个命令时,显示了几行,最后显示:

Checking if your kit is complete... Looks good Warning: prerequisite Crypt::OpenSSL::Random 0 not found. Writing Makefile for Crypt::OpenSSL::RSA ---- Unsatisfied dependencies detected during [I/IR/IROBERTS/Crypt-OpenSSL-RSA-0.26.tar.gz] ----- Crypt::OpenSSL::Random Shall I follow them and prepend them to the queue of modules we are processing right now? [yes] 

然后我打回车(是)和几十行产生的错误。 最后我得到这个:

 ... ... RSA.xs:579: warning: implicit declaration of function 'RSA_sign' RSA.xs:579: error: 'rsaData' has no member named 'hashMode' RSA.xs:579: error: 'rsaData' has no member named 'hashMode' RSA.xs:579: error: 'rsaData' has no member named 'rsa' RSA.xs: In function 'XS_Crypt__OpenSSL__RSA_verify': RSA.xs:605: error: 'rsaData' has no member named 'rsa' RSA.xs:610: error: 'rsaData' has no member named 'hashMode' RSA.xs:611: warning: implicit declaration of function 'RSA_verify' RSA.xs:611: error: 'rsaData' has no member named 'hashMode' RSA.xs:613: error: 'rsaData' has no member named 'hashMode' RSA.xs:616: error: 'rsaData' has no member named 'rsa' RSA.xs:619: warning: implicit declaration of function 'ERR_peek_error' RSA.xs: In function 'boot_Crypt__OpenSSL__RSA': RSA.xs:214: warning: implicit declaration of function 'ERR_load_crypto_strings' make: *** [RSA.o] Error 1 /usr/bin/make -- NOT OK Running make test Can't test without successful make Running make install make had returned bad status, install seems impossible 

我究竟做错了什么? 请指导我 谢谢。

刚刚在CentOS 5.4上遇到这个问题,我没有安装openssl-devel! 所以跑步:

yum install openssl-devel

给我修好了

或者,如果你是基于Debian的东西:

sudo apt-get install libssl-dev

奇怪的是,我有类似的安装在Debian挤压,这个模块总是失败。

perl Makefile.PL

警告:先决条件Crypt :: OpenSSL :: Random 0找不到。 编写Crypt :: OpenSSL :: RSA的Makefile

..但我找不到你指的确切的包裹。 ii libcrypt-openssl-bignum-perl 0.04-2访问OpenSSL多精度整数算术库ii libcrypt-openssl-dsa-perl 0.13-4实现DSA签名validation系统的模块ii libcrypt-openssl-rsa-perl 0.25-1 + b1 Perl提供基本RSAfunction的模块ii libcrypt-openssl-x509-perl 1.4-1对OpenSSL的X​​509 API的Perl扩展

你在某处丢失了一个标题。 在输出结果之上,您应该看到对缺less.h文件的引用。 找出哪个软件包提供了特定的标题,并且距离更近一步。 泡沫…漂洗…重复,最终它会编译:)

是的,这也解决了我的问题在Debian框。

Ran Aptitude,然后search“openssl”,看到lib-openssl包,并安装它。

重新运行CPAN,安装Crypt :: OpenSSL :: RSA,一切顺利。

  • 埃里克吉列

解决了我的问题Ubuntu的,但需要libengine-tpm-openssl。

再次运行:

$ sudo perl -MCPAN -e'install Crypt :: OpenSSL :: RSA'

并没有问题。